/*
 * Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: RuntimeExceptionPostConstructBean.java 62525 2011-04-15 12:14:31Z dougd $
 */

package com.sun.ts.tests.jsf.spec.el.managedbean.common;

import javax.annotation.PostConstruct;
import java.io.Serializable;

public class RuntimeExceptionPostConstructBean implements Serializable {

    // intentionally generate an unchecked exception
    public @PostConstruct void onPostConstruct() {
	String[] list = {"only", "three", "items"};
	for (int i = 0; i <= 3; ++i)
	    System.out.println(list[i]);
    }

    public RuntimeExceptionPostConstructBean() {
        System.out.println("RuntimeExceptionPostConstructBean created.");
    }
}
